# QImageIOHandler Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QImageIOHandler()

### Constructor Properties

- prototype: The QImageIOHandler prototype object
- Size
- ClipRect
- Description
- ScaledClipRect
- ScaledSize
- CompressionRatio
- Gamma
- Quality
- Name
- SubType
- IncrementalReading
- Endianness
- Animation
- BackgroundColor
- ImageFormat
- ImageOption( value )

### Prototype Object Properties

- bool canRead()
- int currentImageNumber()
- QRect currentImageRect()
- QIODevice device()
- QByteArray format()
- int imageCount()
- bool jumpToImage(int imageNumber)
- bool jumpToNextImage()
- int loopCount()
- int nextImageDelay()
- Object option(ImageOption option)
- bool read(QImage image)
- void setDevice(QIODevice device)
- void setFormat(QByteArray format)
- void setOption(ImageOption option, Object value)
- bool supportsOption(ImageOption option)
- bool write(QImage image)

### Instance Properties

QImageIOHandler objects have no special properties beyond those inherited from the QImageIOHandler prototype object.